scala.tools.nsc.interpreter.JLineCompletion

# rootClass

#### object rootClass extends TypeMemberCompletion

Linear Supertypes
TypeMemberCompletion, CompilerCompletion, CompletionAware, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. rootClass
2. TypeMemberCompletion
3. CompilerCompletion
4. CompletionAware
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def aliasNames: collection.immutable.List[String]

   Definition Classes
     CompilerCompletion

7. #### def aliases: collection.immutable.List[Global.Symbol]

   Definition Classes
     CompilerCompletion

8. #### def alternativesFor(id: String): List[String]

   A list of useful information regarding a specific uniquely identified completion.

   A list of useful information regarding a specific uniquely identified completion. This is specifically written for the following situation, but should be useful elsewhere too:

   x.y.z.methodName<tab>

   If "methodName" is among z's completions, and verbosity > 0 indicating tab has been pressed twice consecutively, then we call alternativesFor and show a list of overloaded method signatures.

   Definition Classes
     TypeMemberCompletion → CompletionAware

9. #### def anyRefMethodsToShow: Set[String]

   Definition Classes
     CompilerCompletion

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def completions(verbosity: Int): collection.immutable.List[String]

    The complete list of unqualified Strings to which this object will complete.

    The complete list of unqualified Strings to which this object will complete.

    Definition Classes
      rootClass → TypeMemberCompletion → CompletionAware

13. #### def completionsFor(parsed: Parsed): List[String]

    Given string 'buf', return a list of all the strings to which it can complete.

    Given string 'buf', return a list of all the strings to which it can complete. This may involve delegating to other CompletionAware objects.

    Definition Classes
      CompletionAware

14. #### def effectiveTp: Global.Type

    Definition Classes
      CompilerCompletion

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def exclude(name: String): Boolean

    Definition Classes
      TypeMemberCompletion

18. #### def excludeEndsWith: List[String]

    Definition Classes
      TypeMemberCompletion

19. #### def excludeNames: List[String]

    Definition Classes
      TypeMemberCompletion

20. #### def excludeStartsWith: List[String]

    Definition Classes
      TypeMemberCompletion

21. #### def filtered(xs: List[String]): collection.immutable.List[String]

    Definition Classes
      TypeMemberCompletion

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def follow(id: String): Option[CompletionAware]

    The next completor in the chain.

    The next completor in the chain.

    Definition Classes
      rootClass → TypeMemberCompletion → CompletionAware

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hasMethod(s: String): Boolean

    Definition Classes
      CompilerCompletion

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def memberNamed(s: String): Global.Symbol

    Definition Classes
      CompilerCompletion

29. #### def memberNames: collection.immutable.List[String]

    Definition Classes
      CompilerCompletion

30. #### def members: collection.immutable.List[Global.Symbol]

    Definition Classes
      CompilerCompletion

31. #### def methodNames: collection.immutable.List[String]

    Definition Classes
      CompilerCompletion

32. #### def methodSignatureString(sym: Global.Symbol): String

    Definition Classes
      TypeMemberCompletion

33. #### def methods: collection.immutable.List[Global.Symbol]

    Definition Classes
      CompilerCompletion

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def packageNames: collection.immutable.List[String]

    Definition Classes
      CompilerCompletion

38. #### def packages: collection.immutable.List[Global.Symbol]

    Definition Classes
      CompilerCompletion

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      TypeMemberCompletion → AnyRef → Any

41. #### def tos(sym: Global.Symbol): String

    Definition Classes
      CompilerCompletion

42. #### val tp: Global.Type

    Definition Classes
      TypeMemberCompletion → CompilerCompletion

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TypeMemberCompletion

### Inherited from CompilerCompletion

### Inherited from CompletionAware

### Inherited from AnyRef

### Inherited from Any

### Ungrouped